## puppet-module-manila 16.3.0

=== doc/requirements.txt ===
# This is required for the docs build jobs
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2 # BSD
openstackdocstheme>=1.20.0 # Apache-2.0

# This is required for the releasenotes build jobs
reno # Apache-2.0

## puppet-module-manila 7.0.0

=== debian/changelog ===
puppet-module-manila (7.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #814241)

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Feb 2016 17:01:28 +0800

=== debian/control ===
Source: puppet-module-manila
Section: admin
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/puppet-module-manila.git
Vcs-Git: https://anonscm.debian.org/git/openstack/puppet-module-manila.git
Homepage: https://github.com/openstack/puppet-manila

Package: puppet-module-manila
Architecture: all
Depends: puppet-common,
         puppet-module-puppetlabs-stdlib,
         puppet-module-openstacklib,
         ${misc:Depends}
Description: Puppet module for OpenStack Manila
 Puppet lets you centrally manage every important aspect of your system using a
 cross-platform specification language that manages all the separate elements
 normally aggregated in different files, like users, cron jobs, and hosts,
 along with obviously discrete elements like packages, services, and files.
 .
 This module manages both the installation and configuration of OpenStack
 Manila.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/openstack/puppet-manila.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## puppet-module-manila 8.0.0

=== debian/changelog ===
puppet-module-manila (8.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Thomas Goirand ]
  * Fixed runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Apr 2016 11:10:17 -0500

puppet-module-manila (8.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Overrides dh_auto_install and dh_auto_build to avoid reno using git at
    build time.
  * Added python-pbr, python-setuptools and python-all as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Apr 2016 08:22:40 +0000

puppet-module-manila (8.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2016 18:01:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,13 @@
 Section: admin
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                openstack-pkg-tools,
-Standards-Version: 3.9.6
+               python-all,
+               python-pbr,
+               python-setuptools,
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/puppet-module-manila.git
 Vcs-Git: https://anonscm.debian.org/git/openstack/puppet-module-manila.git
 Homepage: https://github.com/openstack/puppet-manila
@@ -13,9 +16,13 @@
 Package: puppet-module-manila
 Architecture: all
 Depends: puppet-common,
+         puppet-module-glance,
+         puppet-module-keystone,
+         puppet-module-openstacklib,
+         puppet-module-puppetlabs-inifile,
+         puppet-module-puppetlabs-rabbitmq,
          puppet-module-puppetlabs-stdlib,
-         puppet-module-openstacklib,
-         ${misc:Depends}
+         ${misc:Depends},
 Description: Puppet module for OpenStack Manila
  Puppet lets you centrally manage every important aspect of your system using a
  cross-platform specification language that manages all the separate elements

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,15 @@
 UPSTREAM_GIT = git://github.com/openstack/puppet-manila.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
+export OSLO_PACKAGE_VERSION=$(VERSION)
+
 %:
 	dh $@
+override_dh_auto_install:
+	echo "Don't do anything here please"
+
+override_dh_auto_build:
+	echo "Don't do anything here please"
 
 # Commands not to run
 override_dh_installcatalogs:

## puppet-module-manila 9.4.0

=== debian/changelog ===
puppet-module-manila (9.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed runtime depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Oct 2016 13:35:12 +0000

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,10 @@
 Package: puppet-module-manila
 Architecture: all
 Depends: puppet-common,
-         puppet-module-glance,
-         puppet-module-keystone,
-         puppet-module-openstacklib,
+         puppet-module-glance (>= 9.4.0),
+         puppet-module-keystone (>= 9.4.0),
+         puppet-module-openstacklib (>= 9.4.0),
+         puppet-module-oslo,
          puppet-module-puppetlabs-inifile,
          puppet-module-puppetlabs-rabbitmq,
          puppet-module-puppetlabs-stdlib,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT = git://github.com/openstack/puppet-manila.git
+UPSTREAM_GIT := https://github.com/openstack/puppet-manila.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)

## puppet-module-manila 12.3.0

=== debian/changelog ===
puppet-module-manila (12.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Deprecating priority extra as per policy 4.0.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Mar 2018 14:20:41 +0100

=== debian/control ===
Source: puppet-module-manila
Section: admin
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/puppet/puppet-module-manila
Vcs-Git: https://salsa.debian.org/openstack-team/puppet/puppet-module-manila.git
Homepage: https://github.com/openstack/puppet-manila

Package: puppet-module-manila
Architecture: all
Depends:
 puppet-common,
 puppet-module-glance (>= 12.3.0),
 puppet-module-keystone (>= 12.3.0),
 puppet-module-openstacklib (>= 12.3.0),
 puppet-module-oslo (>= 12.3.0),
 puppet-module-puppetlabs-inifile,
 puppet-module-puppetlabs-rabbitmq,
 puppet-module-puppetlabs-stdlib,
 ${misc:Depends},
Description: Puppet module for OpenStack Manila
 Puppet lets you centrally manage every important aspect of your system using a
 cross-platform specification language that manages all the separate elements
 normally aggregated in different files, like users, cron jobs, and hosts,
 along with obviously discrete elements like packages, services, and files.
 .
 This module manages both the installation and configuration of OpenStack
 Manila.

## puppet-module-manila 13.1.0

=== debian/changelog ===
puppet-module-manila (13.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed versions for depends: for this release.
  * Using team+openstack@tracker.debian.org for maintainer.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jun 2018 16:11:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: puppet-module-manila
 Section: admin
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -19,10 +19,10 @@
 Architecture: all
 Depends:
  puppet-common,
- puppet-module-glance (>= 12.3.0),
- puppet-module-keystone (>= 12.3.0),
- puppet-module-openstacklib (>= 12.3.0),
- puppet-module-oslo (>= 12.3.0),
+ puppet-module-glance (>= 13.1.0),
+ puppet-module-keystone (>= 13.1.0),
+ puppet-module-openstacklib (>= 13.1.0),
+ puppet-module-oslo (>= 13.1.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-rabbitmq,
  puppet-module-puppetlabs-stdlib,

## puppet-module-manila 14.4.0

=== debian/changelog ===
puppet-module-manila (14.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 21:59:19 +0200

puppet-module-manila (14.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed runtime depends for this release.
  * Removed dh optim.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Apr 2019 10:21:21 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  openstack-pkg-tools,
  python-all,
  python-pbr,
@@ -19,12 +19,14 @@
 Architecture: all
 Depends:
  puppet-common,
- puppet-module-glance (>= 13.1.0),
- puppet-module-keystone (>= 13.1.0),
- puppet-module-openstacklib (>= 13.1.0),
- puppet-module-oslo (>= 13.1.0),
+ puppet-module-glance (>= 14.4.0),
+ puppet-module-keystone (>= 14.4.0),
+ puppet-module-openstacklib (>= 14.4.0),
+ puppet-module-oslo (>= 14.4.0),
+ puppet-module-puppetlabs-apache,
  puppet-module-puppetlabs-inifile,
- puppet-module-puppetlabs-rabbitmq,
+ puppet-module-puppetlabs-mysql,
+ puppet-module-puppetlabs-rabbitmq (>= 8.5.0),
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},
 Description: Puppet module for OpenStack Manila

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/puppet-manila.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@
override_dh_auto_install:
	echo "Don't do anything here please"

override_dh_auto_build:
	echo "Don't do anything here please"

## puppet-module-manila 15.4.0

=== debian/changelog ===
puppet-module-manila (15.4.0-3) unstable; urgency=medium

  * Removed python2 build-dependencies (Closes: #937361).

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Jan 2020 21:07:43 +0100

puppet-module-manila (15.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 00:27:45 +0200

puppet-module-manila (15.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Oct 2019 11:12:27 +0200

puppet-module-manila (15.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Sep 2019 11:40:08 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends:
  debhelper-compat (= 10),
  openstack-pkg-tools,
- python-all,
- python-pbr,
- python-setuptools,
+ python3-all,
+ python3-pbr,
+ python3-setuptools,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/puppet/puppet-module-manila
 Vcs-Git: https://salsa.debian.org/openstack-team/puppet/puppet-module-manila.git
@@ -19,10 +19,10 @@
 Architecture: all
 Depends:
  puppet-common,
- puppet-module-glance (>= 14.4.0),
- puppet-module-keystone (>= 14.4.0),
- puppet-module-openstacklib (>= 14.4.0),
- puppet-module-oslo (>= 14.4.0),
+ puppet-module-glance (>= 15.4.0),
+ puppet-module-keystone (>= 15.4.0),
+ puppet-module-openstacklib (>= 15.4.0),
+ puppet-module-oslo (>= 15.4.0),
  puppet-module-puppetlabs-apache,
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-mysql,

## puppet-module-manila 16.3.0

=== debian/changelog ===
puppet-module-manila (16.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 11:40:30 +0200

puppet-module-manila (16.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 May 2020 13:38:45 +0200

puppet-module-manila (16.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 26 Apr 2020 12:33:59 +0200

puppet-module-manila (15.4.0-4) unstable; urgency=medium

  * Depends on puppet, not puppet-common.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Mar 2020 10:32:05 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  openstack-pkg-tools,
  python3-all,
  python3-pbr,
@@ -18,11 +18,11 @@
 Package: puppet-module-manila
 Architecture: all
 Depends:
- puppet-common,
- puppet-module-glance (>= 15.4.0),
- puppet-module-keystone (>= 15.4.0),
- puppet-module-openstacklib (>= 15.4.0),
- puppet-module-oslo (>= 15.4.0),
+ puppet,
+ puppet-module-glance (>= 16.3.0),
+ puppet-module-keystone (>= 16.3.0),
+ puppet-module-openstacklib (>= 16.3.0),
+ puppet-module-oslo (>= 16.3.0),
  puppet-module-puppetlabs-apache,
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-mysql,

## puppet-module-manila 17.4.0

=== debian/changelog ===
puppet-module-manila (17.4.0-3~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Add-support-for-the-keystone_authtoken-service_type-parameter.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Wed, 03 Dec 2025 16:07:44 +0000

puppet-module-manila (17.4.0-2) UNRELEASED; urgency=medium

  * Add Add-support-for-manila_api_uwsgi_config-in-Debian.patch.
  * Add Remove_the_deprecated_parameters_of_manila_volume_cinder.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Apr 2021 23:27:02 +0200

puppet-module-manila (17.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Oct 2020 13:50:54 +0200

=== debian/control ===
--- 
+++ 
@@ -19,14 +19,12 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-glance (>= 16.3.0),
- puppet-module-keystone (>= 16.3.0),
- puppet-module-openstacklib (>= 16.3.0),
- puppet-module-oslo (>= 16.3.0),
+ puppet-module-glance (>= 17.4.0),
+ puppet-module-keystone (>= 17.4.0),
+ puppet-module-openstacklib (>= 17.4.0),
+ puppet-module-oslo (>= 17.4.0),
  puppet-module-puppetlabs-apache,
  puppet-module-puppetlabs-inifile,
- puppet-module-puppetlabs-mysql,
- puppet-module-puppetlabs-rabbitmq (>= 8.5.0),
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},
 Description: Puppet module for OpenStack Manila

## puppet-module-manila 19.4.0

=== debian/changelog ===
puppet-module-manila (19.4.0-2) unstable; urgency=medium

  * Clean-up update-alternatives handling.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Jan 2022 10:08:38 +0100

puppet-module-manila (19.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Oct 2021 10:52:11 +0200

puppet-module-manila (19.3.0-1) unstable; urgency=medium

  * Uploading to unstable.
  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 14:43:36 +0200

puppet-module-manila (19.2.0-2) experimental; urgency=medium

  * Fixed wrong depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 16:44:35 +0200

puppet-module-manila (19.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.
  * Removed patch applied upstream:
    - Add-support-for-manila_api_uwsgi_config-in-Debian.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 14:28:19 +0200

puppet-module-manila (18.4.0-2) unstable; urgency=medium

  * Add Add-support-for-manila_api_uwsgi_config-in-Debian.patch.
  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 17:24:28 +0200

puppet-module-manila (18.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Apr 2021 13:10:58 +0200

puppet-module-manila (18.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 22:12:40 +0100

puppet-module-manila (18.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.
  * Standards-Version: 4.5.1.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Mar 2021 17:51:03 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-all,
  python3-pbr,
  python3-setuptools,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/puppet/puppet-module-manila
 Vcs-Git: https://salsa.debian.org/openstack-team/puppet/puppet-module-manila.git
 Homepage: https://github.com/openstack/puppet-manila
@@ -19,10 +19,10 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-glance (>= 17.4.0),
- puppet-module-keystone (>= 17.4.0),
- puppet-module-openstacklib (>= 17.4.0),
- puppet-module-oslo (>= 17.4.0),
+ puppet-module-glance (>= 19.4.0),
+ puppet-module-keystone (>= 19.4.0),
+ puppet-module-openstacklib (>= 19.4.0),
+ puppet-module-oslo (>= 19.4.0),
  puppet-module-puppetlabs-apache,
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,

## puppet-module-manila 20.3.0

=== debian/changelog ===
puppet-module-manila (20.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2022 14:26:43 +0200

puppet-module-manila (20.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 13:57:09 +0100

puppet-module-manila (20.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2022 23:56:17 +0100

=== debian/control ===
--- 
+++ 
@@ -19,11 +19,10 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-glance (>= 19.4.0),
- puppet-module-keystone (>= 19.4.0),
- puppet-module-openstacklib (>= 19.4.0),
- puppet-module-oslo (>= 19.4.0),
- puppet-module-puppetlabs-apache,
+ puppet-module-glance (>= 20.3.0),
+ puppet-module-keystone (>= 20.3.0),
+ puppet-module-openstacklib (>= 20.3.0),
+ puppet-module-oslo (>= 20.3.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},

## puppet-module-manila 21.0.0

=== debian/changelog ===
puppet-module-manila (21.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Oct 2022 22:55:54 +0200

=== debian/control ===
--- 
+++ 
@@ -19,10 +19,10 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-glance (>= 20.3.0),
- puppet-module-keystone (>= 20.3.0),
- puppet-module-openstacklib (>= 20.3.0),
- puppet-module-oslo (>= 20.3.0),
+ puppet-module-glance (>= 21.0.0),
+ puppet-module-keystone (>= 21.0.0),
+ puppet-module-openstacklib (>= 21.0.0),
+ puppet-module-oslo (>= 21.0.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},

## puppet-module-manila 22.0.0

=== debian/changelog ===
puppet-module-manila (22.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 11:23:03 +0200

puppet-module-manila (22.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed runtime depends versions for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Apr 2023 10:48:53 +0200

## puppet-module-manila 23.0.0

=== debian/changelog ===
puppet-module-manila (23.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Oct 2023 13:38:35 +0200

=== debian/control ===
--- 
+++ 
@@ -19,10 +19,10 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-glance (>= 21.0.0),
- puppet-module-keystone (>= 21.0.0),
- puppet-module-openstacklib (>= 21.0.0),
- puppet-module-oslo (>= 21.0.0),
+ puppet-module-glance (>= 22.0.0),
+ puppet-module-keystone (>= 22.0.0),
+ puppet-module-openstacklib (>= 22.0.0),
+ puppet-module-oslo (>= 22.0.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},

## puppet-module-manila 24.0.0

=== debian/changelog ===
puppet-module-manila (24.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed versions of depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Apr 2024 16:49:38 +0200

=== debian/control ===
--- 
+++ 
@@ -19,10 +19,10 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-glance (>= 22.0.0),
- puppet-module-keystone (>= 22.0.0),
- puppet-module-openstacklib (>= 22.0.0),
- puppet-module-oslo (>= 22.0.0),
+ puppet-module-glance (>= 24.0.0),
+ puppet-module-keystone (>= 24.0.0),
+ puppet-module-openstacklib (>= 24.0.0),
+ puppet-module-oslo (>= 24.0.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},

## puppet-module-manila 25.0.0

=== debian/changelog ===
puppet-module-manila (25.0.0-2) unstable; urgency=medium

  * Add Add-amqp_auto_delete-and-rabbit_transient_queues_ttl-params.patch.
  * Add Add-queue_manager-and-stream_fanout.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Jun 2025 23:12:57 +0200

puppet-module-manila (25.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Oct 2024 11:02:44 +0200

=== debian/control ===
--- 
+++ 
@@ -19,10 +19,10 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-glance (>= 24.0.0),
- puppet-module-keystone (>= 24.0.0),
- puppet-module-openstacklib (>= 24.0.0),
- puppet-module-oslo (>= 24.0.0),
+ puppet-module-glance (>= 25.0.0),
+ puppet-module-keystone (>= 25.0.0),
+ puppet-module-openstacklib (>= 25.0.0),
+ puppet-module-oslo (>= 25.0.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 
 %:
 	dh $@
+
+override_dh_auto_clean:
+	echo "Don't do anything here please"
+
 override_dh_auto_install:
 	echo "Don't do anything here please"

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/puppet-manila/tags .*/(\d[\d\.]+)\.tar\.gz

## puppet-module-manila 27.0.0

=== debian/changelog ===
puppet-module-manila (27.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed versions of depends for this release.
  * Removed patches applied upstream:
    - Add-amqp_auto_delete-and-rabbit_transient_queues_ttl-params.patch
    - Add-queue_manager-and-stream_fanout.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Oct 2025 12:11:30 +0100

=== debian/control ===
--- 
+++ 
@@ -19,12 +19,12 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-glance (>= 25.0.0),
- puppet-module-keystone (>= 25.0.0),
- puppet-module-openstacklib (>= 25.0.0),
- puppet-module-oslo (>= 25.0.0),
+ puppet-module-glance (>= 27.0.0),
+ puppet-module-keystone (>= 27.0.0),
+ puppet-module-openstacklib (>= 27.0.0),
+ puppet-module-oslo (>= 27.0.0),
  puppet-module-puppetlabs-inifile,
- puppet-module-puppetlabs-stdlib,
+ puppet-module-puppetlabs-stdlib (>= 9.0.0),
  ${misc:Depends},
 Description: Puppet module for OpenStack Manila
  Puppet lets you centrally manage every important aspect of your system using a
